//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

// The event types for channel tracker events and their arguments listed

#define CTEVENT_YOUJOIN 1 // data1: channel name (str) 
#define CTEVENT_YOUPART 2 // data1: channel name (str), data2: reason (str)
#define CTEVENT_USERJOINS 1 // data1: channel name (str)
#define CTEVENT_USERPARTS 2 // data1: channel name (str), data2: reason (str)
#define CTEVENT_CHANNELMODECHANGE 5 // data1: channel name (str), data2: + or - (unsigned char), data3: mode char (unsigned char), data4: mode parameter (str or NULL (if no parameter))
#define CTEVENT_TOPICHANGE 6 // data1: channel name (str), data2: topic (str)
#define CTEVENT_SERVERERROR 7 // data1: error message (str)