//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef INET6_ADDRSTRLEN
#define INET6_ADDRSTRLEN 46 //needed for Microsoft Windows
#endif

#ifdef IPV6
	#define IPMAXLEN INET6_ADDRSTRLEN
#else
	#define IPMAXLEN 16
#endif

extern int wantsend;
void so_ManageSocketWithSelect(int socket);
int so_CreateSocket(int addToSelect);
int so_MakeSocketListen(int socket, int port, const char* bindip);
int so_ConnectSocketToIP(int socket, const char* ip); // FIXME
void so_SelectWait();
void so_CloseSocket(int socket);
int so_AcceptConnection(int socket, char* writeip, int* writesocket);
int so_GetIPLen();
int so_CheckIp(const char* ip); // FIXME
int so_SelectSaysWrite(int sock);
int so_SelectSaysRead(int sock);
int so_SendOnSocket(int sock,const char* buffer,int buffsize);
int so_ReceiveData(int socket, char* buf, int len);
