//    WeIRCd GUI Control
//    Copyright (C) 2009 Shahriar Heidrich, Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "windows.h"
#include "stdio.h"

#include "gui_winapi.c"

const char prgversion[] = "0.1";

int logicthread() {
	//our logic thread. doesn't do much interesting so far :p
	while (1) {
		Sleep(5000);
	}
}
int WINAPI WinMain(HINSTANCE Inst, HINSTANCE PrevInst,LPSTR CmdLine, int CmdShow) {
	//OK, we need to need to do some startup logic here later
	// -- check if weircd.exe can be found, if yes -> obtain version (with pipes or something)
	// -- check if weircd is running (both system service and normally?) and change button states
	// -- check if weircd is generally registered as service so we can start it accordingly
	
	//then show the GUI:
	gwinapi_show(Inst);
	
	//start a logic thread, that can continuously check the WeIRCd state and change the buttons
	long tid;
	CreateThread(NULL,0,(LPTHREAD_START_ROUTINE)logicthread,NULL,0,&tid);
	
	while (gwinapi_process() == 0) {
		//shalapdadapp. do something. check for the thread or what the hell.
	}
	//done! yay.
}