//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

/* moduleschanneltrackerapi.c - Channel tracker api implementation */
/* ----------------------- */
/* This is a wrapper around the channel tracker manager/channel tracker parser
   to create channel tracker manager items for modules and clean them up when
   a module gets unloaded.
   It implements the module api weircd_api_channeltracker.h.
   The channel trackers itself can also be used by anything else and not just
   modules - in theory - as they are coded independently. */

/* Apart from implementing weircd_api_channeltracker.h, it offers those useful functions: */

/* */
void ctrackerapi_ClearModule(const char* name); /* Wipe out a module's channel trackers (when module is unloaded) */