//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.


struct ctrackeruser {
	char* nick;
	char* id;
	char* host;
	char* realname;
	char* modes;
	void* channels;
};
struct ctrackerchannel {
	char* name;
	char* topic;
	char* modes;
	//void* userlist; //linked list of void* pointers to user structs
};
struct ctrackeritem {
	struct ctrackerevents eventstorage;
	void* users;
	void* channels;
	char* prefixsymbols;
	char* prefixmodes;
	char* ownmodes;
	char* ownnick;
	char* ircd_004;
	char* ircd_005;
};


struct ctrackeritem* ctracker_NewItem();
struct ctrackerevents* ctracker_Parse(struct ctrackeritem* ctracker, const char* line);
char ctracker_GetUserChanMode(const char* user, const char* channel); //0 if no special status
void ctracker_FreeEvent(struct ctrackerevents* e);
void ctracker_Free(struct ctrackeritem* c);
